
<%@ page language="java" pageEncoding="GB2312" contentType="text/html;charset=GB2312" %>
<%@ include file="/common/taglibs.jsp"%>
if (document.getElementById) {	
    <c:forEach var="plate" items="${plateList}">
	    <c:if test="${plate.parentid == '-1'}">
        var tree = new WebFXRadioTree('<c:out value="${plate.name}"/>', '<c:out value="${plate.id}"/>', '<c:out value="${plate.id}"/>,<c:out value="${plate.name}"/>', '<c:if test="${isAdmin}"><c:url value="/sys/plate/searchPlate.html"/>?method=searchPlatesByConditions&status=1&parentid=0</c:if>', 'maincolumn', false, false, 'returnValue');
	    tree.setBehavior('classic');
	    r<c:out value="${plate.id}"/> = tree;
		</c:if>
		<c:if test="${plate.parentid != '-1'}">
		if(typeof(r<c:out value="${plate.parentid}"/>) != "undefined" && r<c:out value="${plate.parentid}"/> != null) {
            r<c:out value="${plate.id}"/> = new WebFXRadioTreeItem('<c:out value="${plate.name}"/>', '<c:out value="${plate.id}"/>', '<c:out value="${plate.id}"/>,<c:out value="${plate.name}"/>', '<c:url value="/sys/plate/searchPlate.html"/>?method=searchPlatesByConditions&status=1&parentid=<c:out value="${plate.id}"/>', 'maincolumn', false, false, 'returnValue', r<c:out value="${plate.parentid}"/>);
		    r<c:out value="${plate.id}"/>.icon  = webFXTreeConfig.folderIcon;
		}
        </c:if>		
	</c:forEach>

	if(typeof(tree) != "undefined" && tree != null) {
	    document.write(tree);
	    tree.expand();
	}
}